#ifndef __HELLOWORLD_SCENE_H__
#define __HELLOWORLD_SCENE_H__

#include "cocos2d.h"

#include "SimpleAudioEngine.h"
USING_NS_CC;

#define NUM_HOLE_MAX	2

class HelloWorld : public CCLayer
{
public:
    virtual bool init();  
	static CCScene* scene();    
	CREATE_FUNC(HelloWorld);

	void registerWithTouchDispatcher();
	bool ccTouchBegan(CCTouch *pTouch, CCEvent *pEvent);
	void ccTouchEnded(CCTouch *pTouch, CCEvent *pEvent);
	void ccTouchCancelled(CCTouch *pTouch, CCEvent *pEvent);
	void ccTouchMoved(CCTouch *pTouch, CCEvent *pEvent);

	void PostExplosion();

	void PlayExplosion(CCPoint vPos);

protected:
	CCSprite* m_pBg;
	CCSprite* m_pExplosion;
	CCSprite* m_pLight;

	CCSprite* m_pHole[NUM_HOLE_MAX];
	int m_nHoleIndex;

	CCTexture2D* m_pTextureFrame;

	CCParticleSystem* m_SmallParticle;
	CCParticleSystem* m_SmallParticle2;
	CCParticleSystem* m_Smoke;


};

#endif  // __HELLOWORLD_SCENE_H__